Page MenuHomePhabricator

atspi: add atspi bridge ready event
ClosedPublic

Authored by kimcinoo on Jun 2 2021, 4:09 AM.

Details

Summary

calling elm_init does not guarantee of readiness of atspi bridge
even though elm_init is calling _elm_atspi_bridge_init.
widget or user could want to know when the atspi bridge is ready.

Diff Detail

Repository
rEFL core/efl
Branch
access.bridge.connection.ready
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 17529
Build 11791: arc lint + arc unit
kimcinoo created this revision.Jun 2 2021, 4:09 AM
kimcinoo requested review of this revision.Jun 2 2021, 4:09 AM
Hermet added a comment.Jun 2 2021, 9:00 PM

@kimcinoo added one comment. didn't give you score since i'm not so expert here.

src/lib/elementary/elm_atspi_bridge.c
4947

Looks this event can be triggered several times. if a11y connection can be toggled...

If user need to do something initialization task in init time(), they might need to clear them in the termination time...

kimcinoo updated this revision to Diff 31454.Jun 3 2021, 12:35 AM

considering disconnected state of atspi bridge.

kimcinoo marked an inline comment as done.Jun 3 2021, 12:43 AM
Hermet requested changes to this revision.Jun 4 2021, 1:07 AM

Please check a comment.

src/lib/elementary/elm_atspi_bridge.c
4861

not necessary free callback for e?

This revision now requires changes to proceed.Jun 4 2021, 1:07 AM
kimcinoo marked an inline comment as done.Jun 4 2021, 3:56 AM
kimcinoo added inline comments.
src/lib/elementary/elm_atspi_bridge.c
4861

it is freed inside of _ecore_event_message_handler_efl_loop_message_handler_message_call
if we do not provide free callback.

And from the document you can see following line as well.
"If func_free is NULL, free() will be called with the private structure pointer. "

Hermet accepted this revision.Jun 4 2021, 4:06 AM
This revision is now accepted and ready to land.Jun 4 2021, 4:06 AM
This revision was automatically updated to reflect the committed changes.
kimcinoo marked an inline comment as done.